For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTUpload Images
        • GETGet Image
        • GETList Images
        • DELDelete Image
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceImage Management

Upload Images

POST
https://vision-agent.api.reka.ai/v1/images/upload
POST
/v1/images/upload
$curl -X POST https://vision-agent.api.reka.ai/v1/images/upload \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F metadata="string"
200Successful
1{
2 "results": [
3 {
4 "image_id": "string",
5 "image_url": "string",
6 "indexing_status": 1,
7 "upload_timestamp": 1.1
8 }
9 ]
10}
Was this page helpful?
Previous

Get Image

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Headers

X-Enable-Overwrite-Meteringstring or nullOptional

Request

This endpoint expects a multipart form with multiple files.
imagesfilesOptional

List of images to upload (optional if image_urls are provided)

metadatastringRequired
JSON string of metadata list matching image order

Response

Successful Response
resultslist of objects